Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class ObjectInUseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.ObjectInUseException

All Implemented Interfaces
  Serializable

    public class ObjectInUseException

extends NetuixException

This exception is thrown when an attempt to update or delete an object is requested but the object is being used by an end user. An example would be trying to delete a `PortletDefinition` when end users are using `PortletInstance`s based off that definition.

See Also
  Serialized Form

Constructor Summary
`ObjectInUseException()` Constructs a `ObjectInUseException` with no specified detail message.
`ObjectInUseException(String s)` Constructs a `ObjectInUseException` with the specified detail message.
`ObjectInUseException(String s, Throwable cause)` Constructs a `ObjectInUseException` with the specified detail message and causal exception.
`ObjectInUseException(Throwable cause)` Constructs a `ObjectInUseException` with the specified causal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectInUseException

    public ObjectInUseException()

  Constructs a `ObjectInUseException` with no specified detail message.

### ObjectInUseException

    public ObjectInUseException(String s)

  Constructs a `ObjectInUseException` with the specified detail message.

  Parameters
    `s` - The detail message

### ObjectInUseException

    public ObjectInUseException(String s,
                                Throwable cause)

  Constructs a `ObjectInUseException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown

### ObjectInUseException

    public ObjectInUseException(Throwable cause)

  Constructs a `ObjectInUseException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.